/* -*- ObjC -*- */
#ifndef __included_all_projs_h
#define __included_all_projs_h

#include <objc/Object.h>

#define LOAD_PROJECTILE_DATA_FOR(c)	load_projectile_data_for([c class])
#define REGISTER_PROJECTILE(c)		register_projectile([c class])

BOOL load_projectile_data_for(Class class);
void unload_unnecessary_projectile_data(void);
void mark_all_projectile_data_unnecessary(void);

void register_projectile(Class class);

#endif
